---
import { CollectionEntry, getCollection } from 'astro:content';
import EventLayout from "../../layouts/EventLayout.astro";

export async function getStaticPaths() {
	const posts = await getCollection('konzert');
	return posts.map((post) => ({
		params: { slug: post.slug },
		props: post,
	}));
}
type Props = CollectionEntry<'blog'>;

const post = Astro.props;
const { Content } = await post.render();
---
<EventLayout {...post.data}>
	<Content />
</EventLayout>
